org.jacoco.report.internal.html.table

## Class BarColumn

- java.lang.Object
- - org.jacoco.report.internal.html.table.BarColumn

All Implemented Interfaces:
  IColumnRenderer

    public class BarColumn
    extends Object
    implements IColumnRenderer

Column with a graphical bar that represents the total amount of items in with length, and the coverage ratio with a red/green sections. The implementation is stateful, instances must not be used in parallel.

### Constructor Summary

Constructors
Constructor and Description
`BarColumn(ICoverageNode.CounterEntity entity, Locale locale)` Creates a new column that is based on the `ICounter` for the given entity.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `footer(HTMLElement td, ICoverageNode total, Resources resources, ReportOutputFolder base)` Renders the footer for this column.
`Comparator<ITableItem>` `getComparator()` Returns the comparator to sort this table column.
`boolean` `init(List<? extends ITableItem> items, ICoverageNode total)` Initializes the column before any output method is called.
`void` `item(HTMLElement td, ITableItem item, Resources resources, ReportOutputFolder base)` Renders a single item in this column.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BarColumn

    public BarColumn(ICoverageNode.CounterEntity entity,
                     Locale locale)

Creates a new column that is based on the `ICounter` for the given entity.

Parameters:
  `entity` - counter entity for visualization
  `locale` - locale for rendering numbers

### Method Detail

#### init

    public boolean init(List<? extends ITableItem> items,
                        ICoverageNode total)

Description copied from interface: `IColumnRenderer`
Initializes the column before any output method is called.

Specified by:
  `init` in interface `IColumnRenderer`
Parameters:
  `items` - all items that will be displayed in the table
  `total` - the summary of all coverage data items in the table
Returns:
  `true` if the column should be visible

#### footer

    public void footer(HTMLElement td,
                       ICoverageNode total,
                       Resources resources,
                       ReportOutputFolder base)
                throws IOException

Description copied from interface: `IColumnRenderer`
Renders the footer for this column.

Specified by:
  `footer` in interface `IColumnRenderer`
Parameters:
  `td` - the parent table cell
  `total` - the summary of all coverage data items in the table
  `resources` - static resources that might be referenced
  `base` - base folder of the table
Throws:
  `IOException` - in case of IO problems with the element output

#### item

    public void item(HTMLElement td,
                     ITableItem item,
                     Resources resources,
                     ReportOutputFolder base)
              throws IOException

Description copied from interface: `IColumnRenderer`
Renders a single item in this column.

Specified by:
  `item` in interface `IColumnRenderer`
Parameters:
  `td` - the parent table cell
  `item` - the item to display
  `resources` - static resources that might be referenced
  `base` - base folder of the table
Throws:
  `IOException` - in case of IO problems with the element output

#### getComparator

    public Comparator<ITableItem> getComparator()

Description copied from interface: `IColumnRenderer`
Returns the comparator to sort this table column.

Specified by:
  `getComparator` in interface `IColumnRenderer`
Returns:
  comparator for this column